#include "testlib.h"

using namespace std;

int MAX_N = 100;
int MAX = 100;

int main(int argc, char* argv[])
{
    registerValidation(argc, argv);

    int n = inf.readInt(1, MAX_N, "n");
    inf.readSpace();
    inf.readInt(1, n, "k");
    inf.readEoln();

    for (int i = 0; i < n; i++) {
        if (i != 0) {
            inf.readSpace();
        }
        inf.readInt(1, MAX, "w_i");
    }

    inf.readEoln();
    inf.readEof();
    return 0;
}